Page 1 sur 4

[Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 21:36
par lemust83
Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée

Salut la communauté,

Bienvenue à notre quatrième mise à jour stable de 2019. Avec cela, nous avons ajouté beaucoup de nouveaux paquets dans le mélange. Alors, qu'est-ce qu'on a avec celle-ci ?
  • la plupart des noyaux ont été mis à jour. Notez que linux44 est actuellement gelé, car certains pilotes propriétaires ne compilent pas avec 4.4.168+. Nous avons également supprimé linux417 et linux418. Si vous utilisez toujours ces séries, veuillez passer à la série linux419 et les désinstaller, car nous ne compilerons plus d'extramodules pour eux à partir de maintenant.
  • Quelques mises à jour de Cinnamon et Deepin
  • Nous avons reconstruit readline et libidn2, c'est pourquoi nous vous demandons de porter une attention particulière à votre mise à jour et de signaler tout problème à ce sujet.
  • Le cadre (framework) de KDE est maintenant à 5.54.0
  • Mesa est maintenant à 18.3.2
  • Palemoon est maintenant à 28.3.1
  • Firefox developer est maintenant à sa onzième version bêta de la série v65
  • Virtualbox a obtenu sa première version point stable de la série v6.0
  • Nvidia a été mis à jour à 415.27
  • Et les mises à jour régulières de python et haskell
Nous espérons qu'avec tous ces changements, Manjaro sera plus efficace pour vous tous.

Traduit avec www.DeepL.com/Translator
N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu && yaourt -Sua
-------------------------------------------------------------------------------------

Noyaux pris en charge :
  • linux316 3.16.62
  • linux318 3.18.132 [EOL] En fin de vie
  • linux44 4.4.167 [FZN]
  • linux49 4.9.151
  • linux414 4.14.94
  • linux419 4.19.16
  • linux420 4.20.3
  • linux414-rt 4.14.93_rt53
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.16_rt9
Les changements en détail :
  • community x86_64: 823 nouveaux et 808 paquets retirés
  • core x86_64: 51 nouveaux et 56 paquets retirés
  • extra x86_64: 401 nouveaux et 429 paquets retirés
  • multilib x86_64: 19 nouveaux et 14 paquets retirés
Une liste détaillée des changements peut être trouvée ici

42 paquets supprimés (linux 4.17 et 4.18):

bliss-graphs libmariadbclient linux417-***  linux418-*** mongodb python2-zope.testing thunar-volman-gtk3 wiredtiger
18 nouveaux paquets:

bliss:  A library for computing automorphism groups and canonical forms of graphs
cobalt:  Static site generator written in Rust
deepin-anything-arch:  Deepin Anything file search tool, kernel module for Arch kernel
geonkick:  A free software percussion synthesizer
haskell-sop-core:  True Sums of Products
hexyl:  Colored command-line hex viewer
ibm-sw-tpm2:  An implementation of the TCG TPM 2.0 specification by IBM
lsd:  Modern ls with a lot of pretty colors and awesome icons
mariadb-libs:  MariaDB libraries
multipath-tools:  Multipath tools for Linux (including kpartx)
otf-fantasque-sans-mono:  OTF font family with a great monospaced variant for programmers
rfdump:  Tool to detect RFID-Tags and show their meta information
sundials:  Suite of nonlinear differential/algebraic equation solvers
tpm2-abrmd:  Trusted Platform Module 2.0 Access Broker and Resource Management Daemon
tpm2-tools:  Trusted Platform Module 2.0 tools based on tpm2-tss
tpm2-tss:  Implementation of the TCG Trusted Platform Module 2.0 Software Stack (TSS2)
ttf-fantasque-sans-mono:  TTF font family with a great monospaced variant for programmers
urlscan:  Mutt and terminal url selector
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/events/thinkpad-radiosw est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S --overwrite '/etc/acpi/events/thinkpad-radiosw'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 22:18
par papajoke
:bjr:
si vous avez un systemd avec une version supérieure à 239.6 il est impératif d'installer cette version !
Sinon au prochain boot, nous nous retrouvons bloqué au démarrage :censure: avec une erreur libidn2 ; ne reste plus que le manjaro-chroot pour se sortir du pétrin

Il faut installer une version plus petite, donc la commande est particulière:

pamac upgrade --enable-downgrade 
ou

sudo pacman -Syyuu

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 22:22
par Cyberdr3am
Hello,

Au début du poste il est écris
  • sudo pacman -Syyuu
Juste en dessous
  • sudo pacman -Syyu
Il faut faire quoi comme commande ? ( D'après moi, si ont a pas mis a jour systemd il faut faire Syyuu et si systemd est a jour il faut faire Syyu )

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 22:28
par papajoke
j'avais corrigé le premier post pour lever l'ambiguïté (avec que des uu)

En effet si nous avons déjà la version 239.6, il est inutile de changer de nos habitudes. Mais dans le doute, il n'y a aucun problème à utiliser le downgrade - cette commande ne fera rien de plus si elle n'est pas nécessaire.


------
122 paquets et 315 Mo bien passés ( même avec le nouveau paquet lsd :ivre: )

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 22:34
par lemust83
Bonjour.
Le double uu permet de rétrograder les paquets que les devs ont replacés dans les dépôts, souvent considérés comme une nécessité .
Dans le modèle de mises à jour que nous publions ici à titre d'information, il est préconisé d'utiliser la commande standard, le double yy étant pour forcer la synchronisation des dépôts en local .
Ici, le cas est particulier, c'est pour cette raison que nous avons écrit en gras Avis simportant afin de vous inciter a privilégier pacman -Syyuu plutôt que les commandes usuelles de mises à jour.
Et comme précisé par Papajoke, conserver la dernière version récente de systemd posera problème à très court terme.

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 22:54
par Smurf
:salut:

156 paquets, pas de problème au redémarrage.

(je viens de voir la capture d'écran pour lsd, ça pique les yeux :sourire: )
https://raw.githubusercontent.com/Pelto ... en_lsd.png

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 23 Jan 2019, 23:07
par stephane
déjà fait en Testing

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 07:07
par monsieurzik
Bon c’est fait. Pas de problème.
Mais une chance que j’ai eu l’info avant de mettre à jour...
le problème je pense, c’est que les nouveaux arrivants sous Manjaro (et autres) n’ont pas l’habitude d’aller voir les annonces sur les forums avant de mettre à jour...
D’où la casse à chaque fois...

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 10:21
par ⋐ ʟ·ɪɴᴀᴅᴀᴩᴛé ⋑
J'avais rétrogradé systemd la dernière fois et cette mise à jour s'est bien déroulée (209 paquets / 900 MiB).
R.A.S. après redémarrage :bien

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 10:41
par imarco
J'ai vu le message sur twitter hier soir du forum officiel sur la maj et les recommandations sur systemd.
Passé comme une fleur avec la commande idoine. :bien

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 11:01
par dropforged
Comme un gros nul, j'ai lancé la mise à jour sans avoir regarder ce topic, résultat PC bloqué :rendre:

Ce genre de mise à jour n'est quand même pas un point positif pour manjaro :cartonrouge: , pour les nouveaux utilisateurs, c'est vraiment piégeur. Je ne suis pas très ancien sous manjaro et j'ai du mal à trouver les informations de mise en garde...

Maintenant que mon PC est bloqué, si une âme charitable pouvais me donner un petit coup de main :bjr:
Pour ne pas polluer le topic, j'ai posté mon problème ici viewtopic.php?f=16&t=10817

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 11:06
par arno08
Bonjour,

Mise à jour de 235 paquets pour 800 mo sous KDE, tout s'est bien passé, RAS.
Bonne journée à tous.

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 11:12
par picoteras
Bonjour :salut:

Après avoir désinstallé le noyau 4.18 qui bloquait la procédure à cause du pilote Nvidia, cette mise à jour de 219 paquets pour 852,9 Mo s'est déroulée comme un charme via pamac GUI (avec les options idoines activées – cette interface graphique améliorée est vraiment un bonheur). RAS après redémarrage.

Merci à l'équipe ! :merci:

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 11:17
par yogib33r
bonjour :)

hop j'ai fait l'andouille et fait la mise à jour sans tenir compte des précautions ! mais c'est passé :) donc zou la prochaine foi je ferai attention quand même.

donc près de 900mo de mise à jour, tout roule dont vbox qui me sert bien ^^

très bonne journée !

stéphane 2

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 12:33
par mOOnSlide
Bonjour, problème de dépendances pour moi :

 Début de la mise à jour complète du système…
résolution des dépendances…
recherche des conflits entre paquets…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: l’installation de nvidia-utils (1:415.27-1) casse la dépendance « nvidia-utils=1:415.25 » requise par linux418-nvidia
dois je taper :

sudo pacman -S --overwrite nvidia-utils (1:415.25-1)
ou juste :

sudo pacman -S --overwrite nvidia-utils 
Merci d'avance, je ne voudrais pas tout casser :oops:

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 12:36
par papajoke
bonjour
Tu as encore d'installé le noyau 4.18 :maisnon: il n'existe plus, il faut le désinstaller
mOOnSlide a écrit :
il y a 10 mois
la dépendance « nvidia-utils=1:415.25 » requise par linux418-nvidia

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 13:05
par jbalibeux
bonjour,

sudo pacman-mirrors -f0 :

::INFO Downloading mirrors from repo.manjaro.org
::INFO Using custom mirror file
::INFO Querying mirrors - This may take some time
  0.227 France         : http://kibo.remi.lu/
::INFO Writing mirror list
::France          : http://kibo.remi.lu/stable/$repo/$arch
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
::INFO To reset custom mirrorlist 'sudo pacman-mirrors -id'
::INFO To remove custom config run  'sudo pacman-mirrors -c all'
sudo pacman -Syyuu

:: Synchronisation des bases de données de paquets…
 core                     148,5 KiB  1485K/s 00:00 [----------------------] 100%
 extra                   1824,0 KiB  2,61M/s 00:01 [----------------------] 100%
 community                  5,2 MiB  2,65M/s 00:02 [----------------------] 100%
 multilib                 184,4 KiB  2,17M/s 00:00 [----------------------] 100%
 AMAR                    1941,0   B  0,00B/s 00:00 [----------------------] 100%
:: Début de la mise à jour complète du système…
erreur : l’ouverture du fichier /var/lib/pacman/local/cups-pk-helper-0.2.6-2/desc a échoué : Aucun fichier ou dossier de ce type
avertissement : lib32-systemd : retourne à la version antérieure (239.303-1 => 239.6-4)
avertissement : libsystemd : retourne à la version antérieure (239.303-1 => 239.6-4)
avertissement : systemd : retourne à la version antérieure (239.303-1 => 239.6-4)
avertissement : systemd-sysvcompat : retourne à la version antérieure (239.303-1 => 239.6-4)
résolution des dépendances…
recherche des conflits entre paquets…
avertissement : les métadonnées pour le paquet cups-pk-helper-0.2.6-2 n’ont pas pu être totalement chargées.
erreur : la préparation de la transaction a échoué (paquet non valide ou corrompu)

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 13:06
par imarco
Une maj de manjaro-system vient d'apparaître chez moi.

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 13:54
par mOOnSlide
papajoke a écrit :
il y a 10 mois
bonjour
Tu as encore d'installé le noyau 4.18 :maisnon: il n'existe plus, il faut le désinstaller
mOOnSlide a écrit :
il y a 10 mois
la dépendance « nvidia-utils=1:415.25 » requise par linux418-nvidia
Autant pour moi, je suis sous le noyeau 4.19, mais en effet le 4.18 est encore installé.
Merci papajoke :sourire:

158 Paquets installés et reboot ok :bien

Re: [Stable] Mise à jour 23/01/2019 - Kernels, Mesa, Navigateurs, Nvidia, Deepin, VirtualBox

Publié : 24 Jan 2019, 14:44
par papajoke
@jbalibeux

sudo pacman -Rdd cups-pk-helper
sudo pacman -S cups-pk-helper
sudo pacman -Syyuu

---

imarco a écrit :
il y a 10 mois
Une maj de manjaro-system vient d'apparaître chez moi.
Oui, maintenant grâce à cette maj nous n'avons plus besoin d'un "-Suuy" pour revenir à la bonne version de systemd ...